The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get a VM group

Prev Next

This URL gets a VM group based on the VM group Id.

Resource URL

GET /vmgroup/<VM group Id>

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
VM group Id VM group ID.

You can use the GET /vmgroup method to get the VM group ID.

number Yes

Response Parameters

Following fields are returned in the response.

Field Name Description Data Type
success Indicates if the creation of VM group is successful.

Value is set to true if the creation of VM group is successful.

Value is set to false if the creation of VM group is not successful.

string
msg Not applicable Not applicable
errMsg Not applicable Not applicable
domainName Not applicable Not applicable
data Details of the VM group object

Example

Request

GET https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/vmgroup/12

Response

{
"success": true, 
"msg": null, 
"errMsg": null, 
"domainName": null, 
"data": {
"domainId": 0,
"subscriberVMGroupId": 103, 
"groupName": "vmg1", 
"description": "Updated vmg"
}
}